

Options +FollowSymlinks
RewriteEngine On
RewriteRule ^api/(.*)$ action.php?action=api&command=$1 [L]

#if requested resource isn't a file
# and isn't a directory
# then serve local error script 
RewriteCond %{REQUEST_FILENAME} !-f  
RewriteCond %{REQUEST_FILENAME} !-d  
RewriteRule .* action.php?action=rewrite [L] 
